aboutsummaryrefslogtreecommitdiff
path: root/netfs
diff options
context:
space:
mode:
authorJudd Vinet <judd@archlinux.org>2004-01-30 18:30:06 +0000
committerJudd Vinet <judd@archlinux.org>2004-01-30 18:30:06 +0000
commitb6fab06a33cb0c829731c3123ef35444c6909d72 (patch)
tree915a61417fe089a2003aea2cd02d94cf2ebb930e /netfs
parent4abccbdf439817f1328547f1f22db969fe6d8591 (diff)
downloadinitscripts-b6fab06a33cb0c829731c3123ef35444c6909d72.tar.xz
added a rc.d/netfs script to mount network-based filesystems from DAEMONS
Diffstat (limited to 'netfs')
-rwxr-xr-xnetfs35
1 files changed, 35 insertions, 0 deletions
diff --git a/netfs b/netfs
new file mode 100755
index 0000000..b42482a
--- /dev/null
+++ b/netfs
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Mounting Network Filesystems"
+ /bin/mount -a -t nfs,smbfs,codafs
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon netfs
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Unmounting network filesystems"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ umount -a -t nfs,smbfs,codafs
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon netfs
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac